Page MenuHomePhabricator

Existing translation: warning and options
Closed, ResolvedPublic1 Estimated Story Points

Description

Context

When creating a translation you want to know if the page to be published exists, and in case it does be able to decide whether to override, keep both versions, or cancel.

Narrative

As a user, I can be aware of the existence of the article I'm trying to publish, so that I can decide what happens with the existing content

Acceptance Criteria

  1. When the user renames the translation title, a warning should be shown if the page already exists.
  2. When publishing, if the page already exists, a dialog is shown to the user with the following options:
    1. Publish anyway. Content will be replaced on the target Wikipedia.
    2. Publish as draft. Content will be published under the user namespace.
      1. If a draft already exists we can override it (see next item for a possible exception for this).
      2. If we are not publishing directly to a real Wikipedia, we can rename the button as "Keep both versions", and keep the drafts under the user namespace. In that case we should not override the different drafts but create new versions. Example: Save the article “Food” as “Food (1)”.
  3. Cancel. That will allow the user to go back and rename the article or decide later.

Design notes

Event Timeline

Arrbee created this task.Nov 28 2014, 5:48 AM
Arrbee assigned this task to Jsahleen.
Arrbee raised the priority of this task from to High.
Arrbee updated the task description. (Show Details)
Arrbee changed Security from none to None.
Arrbee moved this task from Backlog to Sprint Backlog on the Language-Team board.Nov 28 2014, 9:06 AM
Arrbee updated the task description. (Show Details)Dec 10 2014, 2:03 PM
Arrbee edited projects, added LE-Sprint-80; removed LE-Sprint-79.
Arrbee moved this task from Sprint 79 to Sprint 80 on the ContentTranslation-Release3 board.
Pginer-WMF reopened this task as Open.Jan 12 2015, 11:36 AM
Pginer-WMF added a subscriber: Pginer-WMF.

As discussed, it seems a good idea to reopen this now that the publishing to main/user namespace context is being worked on.
We need to check that the acceptance criteria is still met for both configurations (main and user namespace as default).

Pginer-WMF updated the task description. (Show Details)Jan 12 2015, 11:37 AM
Pginer-WMF edited projects, added LE-Sprint-81; removed LE-Sprint-80.

The publish to user namespace if we are publishing to the real Wikipedia functionality has not been implemented yet because at the time we did this story we did not have the configuration parameter or any way to detect whether we were publishing to main namespace or user namespace by default.

I will add this today.

Change 184382 had a related patch set uploaded (by Jsahleen):
Publishing Options: Adjust publishing options for publishing to main namespace

https://gerrit.wikimedia.org/r/184382

Patch-For-Review

Change 184382 merged by jenkins-bot:
Publishing Options: Adjust publishing options for publishing to main namespace

https://gerrit.wikimedia.org/r/184382

Jsahleen moved this task from In Review to Done on the LE-Sprint-81 board.Jan 13 2015, 10:49 AM

Change 185479 had a related patch set uploaded (by Jsahleen):
Publishing options: Fix user namespace publishing

https://gerrit.wikimedia.org/r/185479

Patch-For-Review

Change 185479 merged by jenkins-bot:
Publishing options: Fix user namespace publishing

https://gerrit.wikimedia.org/r/185479

Jsahleen moved this task from Backlog to In Review on the LE-Sprint-82 board.
Jsahleen moved this task from In Review to Done on the LE-Sprint-82 board.Feb 5 2015, 1:43 PM
Jsahleen closed this task as Resolved.Feb 12 2015, 12:17 PM
Pginer-WMF edited a custom field.Feb 24 2015, 2:26 PM